信用分析 - 自然人
要对自然人进行信用分析,请使用 NaturalPerson 端点。
在执行自然人信用分析时,需要将以下数据发送到我们的服务器。
Natural Person 对象定义
Request Body
{
"id": "12345678",
"registration_id":"444",
"credit_request_date": "2021-03-31T10:30:00-03:00",
"credit_type": "student_loan",
"name": "Victor Silva Barbosa",
"document_number": "199.208.915-92",
"birthdate": "1990-01-01",
"email": "exemplo@sample.com",
"nationality": "BRA",
"gender": "male",
"mother_name": "Ana Barbosa",
"father_name": "João Silva",
"monthly_income": 30000,
"declared_assets": 7500000,
"occupation": "pedagogy",
"address": {
"country": "BRA",
"street": "Rua Curitiba",
"number": "150",
"complement": "Bl 3 apt 122",
"neighborhood": "Paraíso",
"city": "São Paulo",
"uf": "SP",
"postal_code": "04005-030"
},
"phones": [
{
"international_dial_code": "55",
"area_code": "11",
"number": "32234611",
"type": "residential"
}
],
"guarantors": [
{
"name": "Melissa Lima Melo",
"document_number": "677.498.846-61",
"birthdate": "1960-11-21",
"email": "exemplo2@sample.com",
"nationality": "BRA",
"mother_name": "Raíssa Lima",
"father_name": "Ronaldo Melo",
"monthly_income": 800000,
"declared_assets": 18600000,
"occupation": "law",
"gender": "female",
"address": {
"country": "BRA",
"street": "Rua Castro Alves",
"number": "100",
"complement": "Ap 202",
"neighborhood": "Parque Estrela Dalva I",
"city": "Luziânia",
"uf": "GO",
"postal_code": "72804-050"
},
"phones": [
{
"international_dial_code": "55",
"area_code": "11",
"number": "21158745",
"type": "residential"
}
]
}
],
"financial": {
"amount": 100000,
"currency": "BRL",
"interest_type": "cdi_plus",
"annual_interest_rate": 2.32,
"cdi_percentage": 100,
"number_of_installments": 4
},
"warrants": [
{
"warrant_type": "real_estate",
"address": {
"country": "BRA",
"street": "Rua Curitiba",
"number": "150",
"complement": "Bl 3 apt 122",
"neighborhood": "Paraíso",
"city": "São Paulo",
"uf": "SP",
"postal_code": "04005-030"
},
"property_type": "house",
"estimated_value": 100000000,
"forced_selling_value": 60000000
}
],
"source": {
"channel": "website",
"ip": "145.25.145.32",
"session_id": "bec256b3-5265-4dcb-bc55-2e4fb43983e0"
},
"scr_parameters" : {
...
}
}
信用分析应在放款前发送至 API,可用于决定是否授予信贷。在与客户协商后,发送的数据也可用于欺诈预防。
CreditProposal 对象中使用但本节未定义的对象可在共享对象部分查看。
| 名称 | 类型 | 描述 |
|---|---|---|
| id | string | 您系统中信贷提案的标识符。 此数字对于每次信用分析流程必须唯一 (必填 ) |
| registration_id | string | 客户系统中的注册标识符。用于针对同一注册执行多次分析 |
| credit_request_date | datetime | 借款人申请信贷的日期和时间 (必填) |
| credit_type | 枚举 | 授予的信贷类型。目前支持:clean、student_loan、credit_card_limit |
| name | string | 被注册个人的全名 |
| document_number | string | 被注册个人的 CPF,含点和连字符,符合标准 (必填) |
| birthdate | date | 个人出生日期,符合标准 |
| gender | 枚举 | 个人性别:'male'、'female' 或 'undefined' |
| nationality | string | ISO 3166-1 alfa-3 格式的注册国籍 |
| mother_name | string | 母亲全名 |
| father_name | string | 父亲全名 |
| monthly_income | integer | 月总收入,以分为单位 |
| declared_assets | integer | 申报资产,以分为单位 |
| client_category | string | 根据您平台或忠诚度计划分类的客户类 别 |
| client_since | date | 开始为该客户提供服务的日期 |
| occupation | string | 被注册个人的职业 |
| string | 个人电子邮件 | |
| documents | Document | CNH 和 RG 类型对象 |
| address | Address | Address 类型对象,描述个人住宅地址 |
| phones | Phones 列表 | phone 类型对象列表,包含个人电话列表 |
| guarantors | Person 列表 | 业务担保人,自然人(NaturalPerson)或法人(LegalPerson) |
| financial.amount | integer | 借款人申请的总金额(分),批准后将予以释放 |
| financial.currency | 枚举 | 总金额的货币单位:BRL、USD、EUR |
| interest_type | 枚举 | 使用的债务基准利率:cdi_plus、cdi_percentage、price、pre_fixed |
| annual_interest_rate | number | 固定利率部分的年利率百分比 |
| cdi_percentage | number | 收取的 CDI(后置)利率百分比 |
| number_of_installments | integer | 分期数 |
| warrants | Warrant | 业务中提供的实物担保数据。必须在投产前商定。目前接受以下类型:real_estate |
| source | Source | 信贷销售渠道。目前接受:website 和 app |
| scr_parameters | ScrParameters | 包含在信用分析中使用 SCR 信息所需数据的对象 |
注意
仅当客户已购买且希望在信用分析中使用 SCR 查询时,scr_parameters 属性才是必填项。
发送信贷提案 - 自然人
Request Body
{
"id": "12345678",
...
}
Response Body
{
"id": "12345678",
"analysis_status": "automatically_approved",
"reason": "rule_decision_enum"
}
要对信贷提案进行评估,只需将 NaturalPerson 类型对象发送到以下端点:
POST https://api.caas.qitech.app/credit_analysis/natural_person